Subject: bug#4021 closed by Chong Yidong <[email-masked]> (Re: 23.1; X Windows -> X Window)

From: [email-masked] (Emacs bug Tracking System)
Date: Sun, 02 Aug 2009 23:30:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4021: 23.1; X Windows -> X Window

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
4021: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4021
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.1; X Windows -> X Window
From: Chong Yidong <[email-masked]>
To: "Drew Adams" <[email-masked]>
Cc: [email-masked]
Date: Sun, 02 Aug 2009 19:23:29 -0400

> The doc string for `x-set-selection' says this:
> 
> "Make an X Windows selection of type TYPE and value DATA...."
> 
> I believe, but I'm no expert on this, that that should be X Window,
> not X Windows. If true, and if the same problem appears elsewhere,
> then those occurrences should be corrected also.
 
I think it should be simply "X selection".  Thanks for catching this.

Subject: 23.1; X Windows -> X Window
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Sun, 2 Aug 2009 15:31:01 -0700

The doc string for `x-set-selection' says this:
 
"Make an X Windows selection of type TYPE and value DATA...."
 
I believe, but I'm no expert on this, that that should be X Window,
not X Windows. If true, and if the same problem appears elsewhere,
then those occurrences should be corrected also.
 
We don't want users to think of X Window and Microsoft Windows as
somehow related. ;-)

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-29 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'